> For the complete documentation index, see [llms.txt](https://docs.wisej.com/extensions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/extensions/extensions/webauthn/api/wisej.ext.webauthn.clientdata.md).

# ClientData

Namespace: **Wisej.Ext.WebAuthn**

Assembly: **Wisej.Ext.WebAuthn** (3.2.0.0)

The client data represents the contextual bindings of both the WebAuthn Relying Party and the client.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ClientData
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ClientData
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MirBsnmjWIxMsN8l0Ms)ClientData()

## Properties

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Base64

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): The client data in base64 format.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Challenge

[Byte\[\]](https://docs.microsoft.com/en-us/dotnet/api/system.byte): The challenge returned from the client.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Origin

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): This member contains the fully qualified origin of the requester, as provided to the authenticator by the client, in the syntax defined by \[RFC6454].

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Type

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): This member contains the string "webauthn.create" when creating new credentials, and "webauthn.get" when getting an assertion from an existing credential.

The purpose of this member is to prevent certain types of signature confusion attacks (where an attacker substitutes one legitimate signature for another).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/extensions/extensions/webauthn/api/wisej.ext.webauthn.clientdata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
